#include "V_D.h"
#include "srvr.h"

#ifdef USE_agent
Srvr* srvrs = 0;	/* List of known servers */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* CALL:
*   Srvr* daSrvrLink(srvr)
*   	Str*  srvr;	-- Name of server
*
* DESCRIPTION:
*
* This returns a connection to a server.  It first checks to see if we
* have  a  connection, and if so, returns it.  If not, we go through a
* number of attempts to make a connection (aka association).
*
* If successful, we return a  pointer  to  the  Srvr  struct  for  the
* server; failure returns a null pointer.
*
* AUTHOR: John Chambers.
*
* CHANGES:
*/
FCT	Srvr* daSrvrLink(srvr)
	Str*  srvr;	/* Name of server */
{	Srvr* sp=0;
:f	Fenter("daSrvrLink");
:5	V5D "Called for %s",DspSP(srvr) D;
:2	V2D "Can't contact %s",DspSP(srvr) D;
:f	Fexit;
	return sp;
}
#endif /* USE_agent */
